Package weka.gui.beans

# Interface WekaWrapper

All Known Implementing Classes:
  `Associator`, `Classifier`, `Clusterer`, `Filter`, `Loader`, `Saver`

public interface WekaWrapper
Interface to something that can wrap around a class of Weka algorithms (classifiers, filters etc). Typically implemented by a bean for handling classes of Weka algorithms.

Since:
  1.0
Version:
  $Revision: 1.4 $
Author:
  Mark Hall

## Method Summary

Modifier and Type
Method
Description
`Object`
`getWrappedAlgorithm()`
Get the algorithm
`void`
`setWrappedAlgorithm(Object algorithm)`
Set the algorithm.

## Method Details

### setWrappedAlgorithm

void setWrappedAlgorithm(Object algorithm)
Set the algorithm.

Parameters:
  `algorithm` - an `Object` value
Throws:
  `IllegalArgumentException` - if the supplied object is not of the class of algorithms handled by this wrapper.

### getWrappedAlgorithm

Object getWrappedAlgorithm()
Get the algorithm

Returns:
  an `Object` value